/******************************************************************************/
/*Files to Include                                                            */
/******************************************************************************/

#if defined(__XC)
    #include <xc.h>         /* XC8 General Include File */
#endif

#if defined(__XC)
#include <stdint.h>         /* For uint8_t definition */
#include <stdbool.h>        /* For true/false definition */
#endif

#include "interrupts.h"
#include "user.h"

/******************************************************************************/
/* Interrupt Routines                                                         */
/******************************************************************************/

#if defined(__XC8)
//#pragma code isr=0x08
//#pragma interrupt isr
void __interrupt isr(void)
#else
#error "Invalid compiler selection for implemented ISR routines"
#endif
{
    /* Determine which flag generated the interrupt */
    if (INTCONbits.TMR0IF && INTCONbits.TMR0IE) {
        LED0 =1;
        _U2Interrupt();
        LED0 =0;
    } else if (PIR1bits.RCIF && PIE1bits.RCIE) {
        _U1RXInterrupt();
    } else if (PIR1bits.TX1IF && PIE1bits.TX1IE) {
        _U1TXInterrupt();
    }
}
