/******************************************************************************/
/* Files to Include                                                           */
/******************************************************************************/

#if defined(__XC)
#include <xc.h>        /* XC8 General Include File */
#endif

#if defined(__XC)
//#include <stdint.h>        /* For uint8_t definition */
//#include <stdbool.h>       /* For true/false definition */
//#include <string.h>
#endif

#include "system.h"        /* System funct/params, like osc/peripheral config */
#include "uart1.h"
#include "uart2.h"
#include "user.h"
#include "rn41.h"

/******************************************************************************/
/* User Global Variable Declaration                                           */
/******************************************************************************/

/* i.e. uint8_t <variable_name>; */
static char *resetmessage = "\n\rReset do uC.\n\r";
int BufferEmpty;

/******************************************************************************/
/* Main Program                                                               */
/******************************************************************************/

void main(void) {
    unsigned char c;
    char len;

    /* Configure the oscillator for the device */
    ConfigureOscillator();

    /* Initialize I/O and Peripherals for application */
    InitApp();

    Delay_ms(1500);
    len = strlen(resetmessage);
    serOutstring(resetmessage, len);

    do {
        //put your code here
//        LED0 = 1;
        c = ser2Inchar(); //              ; wait for a byte reception
        if (BufferEmpty)
            serOutchar(c);
        c = serInchar();
        if (BufferEmpty)
            ser2Outchar(c);
//        LED0 = 0;
    } while (true);
}
