/******************************************************************************/
/* Files to Include                                                           */
/******************************************************************************/

#if defined(__XC)
    #include <xc.h>         /* XC8 General Include File */
#endif

#if defined(__XC)
#include <stdint.h>         /* For uint8_t definition */
#include <stdbool.h>        /* For true/false definition */
#endif

#include "system.h"
#include "user.h"
#include "uart1.h"
#include "uart2.h"
#include "rn41.h"

/******************************************************************************/
/* User Functions                                                             */
/******************************************************************************/

/* <Initialize variables in user.h and insert code for user algorithms.> */

void InitApp(void)
{

    /* Setup analog functionality and port direction */


    /* Initialize peripherals */
    // Initialize the LED. This symbol is defined in system_config.h
    LED0_TRIS = 0;
    LED0 = 0;

    /* SERIAL PORT*/
    vInitU1(); //TODO corrigir a rotina de inicializacao serial
    vInitU2();

    /* Configure the IPEN bit (1=on) in RCON to turn on/off int priorities */

    /* Enable interrupts */
    PIE1bits.TX1IE = 1;
    PIE1bits.RCIE = 1;
    INTCONbits.PEIE = 1;
    ei();

    //configure RN41 module on serial2
    Rn41Init();
}

void Delay_ms(long atraso) {
    long contador;
    for (contador = 1; contador < atraso; contador++)
        __delaywdt_ms(1);
}

